
testTable={}
testTable[1]=1
testTable[2]=2
testTable[3]=3
testTable[4]=4
testTable[5]=5
testTable[6]=nil
testTable[7]=6
testTable[8]=7
testTable[9]=nil
testTable[10]=nil
testTable[11]=8
testTable[12]=nil
testTable[13]=nil
testTable[14]=nil
testTable[15]=9

testTableLength=tableLength(testTable)

packedTable=repackTable(testTable, 2)
packedLength=tableLength(packedTable)

fdebug("1er message")
fdebug("2eme message")

iterations=1

fdebug("-----------------------------------------------")
speechTest=loadSpeech("configuration/speech.properties")
percent=0
for i=1,100 do
	sp=getRandomSpeech("powerfulGroup")
	if sp==nil then
		--sp="NOTHING"
	else
		fdebug(sp)
		percent=percent+1
	end
end
fdebug(percent.." %")
fdebug("-----------------------------------------------")

while true do
	
	--also erases everything 
	screen:blit(0, 0, background,  false)
	--enableDebug()
	updateInputs(Controls.read())
	
	if inputLongPress("start") and inputLongPress("select") then
		fdebug("quitting multitests")
		break
	end
	
	
	
	screen:print(10, 10, "table length is: "..testTableLength, black)
	screen:print(10, 20, "packed length is: "..packedLength, black)
	
	itmess=iterations.." iter."
	screen:print(381, 231, itmess)
	screen:print(381, 229, itmess)
	screen:print(379, 231, itmess)
	screen:print(379, 229, itmess)
	screen:print(380, 230, itmess, white)
	
	mem=getMemoryInfo()
	screen:print(381, 246, mem)
	screen:print(381, 244, mem)
	screen:print(379, 246, mem)
	screen:print(379, 244, mem)
	screen:print(380, 245, mem, white)

	iterations=iterations+1
	
	if inputFirstPress("select") then
		snapshot()
	end
	
   	screen.waitVblankStart()
	screen.flip()
   	
end